<?php
// Konfigurációs fájlok és külső modulok betöltése 
  include("../config/config_program.php");   // Program konfiguráció
  include("../config/config_adatbazis.php"); // Adatbázis konfiguráció
  include("_functions.php");      // Program függvények   
  include("_sql.php");            // SQL kezelő függvények 

// Kapcsolódás az adatbázishoz
  adatbazis();
  
  header("Content-Type: text/html; charset=".$charset);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">  
<html>
<head>
  <link rel="StyleSheet" type="text/css" href="../style/szoborpark.css" media="screen">
<body>
<?php 
  $kepnev = $_REQUEST['file'];
  $kepdir = "../".$dir['photos'];
  $kepfile = $kepdir."/".$kepnev;
  $fok = $_REQUEST['angle'];
  $eredeti_kep = imagecreatefromjpeg($kepfile);
  // Forgatott kép elkészítése
  $rotated = imagerotate($eredeti_kep, $fok, 0);
  imagejpeg($rotated,"../".$dir['photos']."/".$kepnev);
  // Az új kép adatainak lekérése
  $kepinfo = getimagesize($kepfile);
  $kep_x = $kepinfo[0];
  $kep_y = $kepinfo[1];
  // Thumbnail 
  $tnkep_maxy = 100;
  $tn_file = $kepdir."/tn_".$kepnev;
  $tn_arany = $tnkep_maxy/$kep_y;
  $tn_x = round($tn_arany*$kep_x);
  $tn_y = round($tn_arany*$kep_y);
  $tn_kep = imagecreatetruecolor($tn_x,$tn_y);
  imagecopyresampled($tn_kep,$rotated,0,0,0,0,$tn_x,$tn_y,$kep_x,$kep_y);
  imagejpeg($tn_kep,$tn_file);
  imagedestroy($eredeti_kep);  
  imagedestroy($rotated);
  imagedestroy($tn_kep);  
  echo "<span class=\"mentes\">Mentés...</span>\n";
?>
</body></html>
